Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill
Class JRFillCrosstabObjectFactory

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractObjectFactory
          net.sf.jasperreports.engine.fill.JRFillObjectFactory
              net.sf.jasperreports.crosstabs.fill.JRFillCrosstabObjectFactory

All Implemented Interfaces:
  JRVisitor

    public class JRFillCrosstabObjectFactory

extends JRFillObjectFactory

Factory of fill instances of crosstab internal objects.

Version:
  $Id: JRFillCrosstabObjectFactory.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`JRFillObjectFactory.StylesList`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`filler`

Constructor Summary
`JRFillCrosstabObjectFactory(JRFillObjectFactory parent, JRFillExpressionEvaluator expressionEvaluator)`

Method Summary
`JRFillCellContents` | `getCell(JRCellContents cell, java.lang.String cellType)`
`JRFillCrosstabCell` | `getCrosstabCell(JRCrosstabCell cell)`
`JRFillCrosstabColumnGroup` | `getCrosstabColumnGroup(JRCrosstabColumnGroup group)`
`JRFillCrosstabMeasure` | `getCrosstabMeasure(JRCrosstabMeasure measure)`
`JRFillCrosstabRowGroup` | `getCrosstabRowGroup(JRCrosstabRowGroup group)`
`JROriginProvider` | `getParentOriginProvider()`
`void` | `setParentOriginProvider(JROriginProvider parentOriginProvider)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`checkUnresolvedReferences, collectRequestedStyles, collectUsedStyles, getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getChartAxis, getConditionalStyle, getCrosstabDataset, getCrosstabParameter, getDataset, getDatasetRun, getDatasets, getDefaultStyleProvider, getElementDatasets, getExpression, getExpressionEvaluator, getField, getFiller, getGanttDataset, getGanttSeries, getGroup, getHighLowDataset, getHighLowPlot, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getReportFont, getReportTemplate, getScatterPlot, getSection, getStyle, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, registerDelayedStyleSetter, registerDelayedStyleSetter, registerElementDataset, renameExistingStyle, setStyle, setStyles, useDelayedStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory
`get, getExpression, getVisitResult, put, setVisitResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRFillCrosstabObjectFactory

    public JRFillCrosstabObjectFactory(JRFillObjectFactory parent,
                                       JRFillExpressionEvaluator expressionEvaluator)

Method Detail

### getParentOriginProvider

    public JROriginProvider getParentOriginProvider()

### setParentOriginProvider

    public void setParentOriginProvider(JROriginProvider parentOriginProvider)

### getCell

    public JRFillCellContents getCell(JRCellContents cell,
                                      java.lang.String cellType)

### getCrosstabRowGroup

    public JRFillCrosstabRowGroup getCrosstabRowGroup(JRCrosstabRowGroup group)

### getCrosstabColumnGroup

    public JRFillCrosstabColumnGroup getCrosstabColumnGroup(JRCrosstabColumnGroup group)

### getCrosstabCell

    public JRFillCrosstabCell getCrosstabCell(JRCrosstabCell cell)

### getCrosstabMeasure

    public JRFillCrosstabMeasure getCrosstabMeasure(JRCrosstabMeasure measure)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com